﻿local L = AceLibrary("AceLocale-2.2"):new("XRS")

L:RegisterTranslations("enUS", function() return {
	-- XRS.lua
	Scale = "Set Scale",
	Scale_D = "Set the scale of the XRaidStatus window.",
	Texture = "Texture",
	Textures = "Textures",
	Textures_D = "Select a texture of the bars.",
	Color_Group = "Change colors",
	Color_Group_D = "Change some colors of the XRaidStatus window.",
	BColor = "Background color",
	BColor_D = "Change the background color.",
	BOColor = "Border color",
	BOColor_D = "Change the border color",
	TColor = "Title color",
	TColor_D = "Change the title color.",
	Update_Rate = "Update Rate",
	Update_Rate_D = "Change the update rate of the bars.",
	Save = "Save",
	Save_D = "Save a configuration.",
	Load = "Load",
	Load_D = "Load a configuration.",
	Delete = "Delete",
	Delete_D = "Delete a configuration.",
	New_Group = "New",
	New_Group_D = "Create a new bar or a new buff button.",
	Create_Bar = "Create a new bar",
	Create_Bar_D = "Creates a new bar with some values.",
	Create_Button = "Create a new buff button",
	Create_Button_D = "Creates a new buff button.",
	Delete_DB = "Delete DB",
	Delete_DB_D = "Delete the Database/Profile",
	Lock = "Lock Frame",
	Lock_D = "Lock the XRaidStatus frame in the current position",
	Raid_Leader_Options = "Raid Leader Options",
	Buff_Check = "Buff Check",
	Buff_Check_TTText = "Do a buff check with selected buffs and print the result in the raid chat.",
	Ready_Check = "Ready Check",
	Ready_Check_TTText = "Starts the blizzard ready check",
	PromoteAll = "Promote All",
	PromoteAll_TTText = "Promotes all raid members",
	Select_Buffs = "Select Buffs",
	Select_Buffs_TTText = "Select buffs which should be scanned for.",
	Start_Check = "Start Check",
	Start_Check_TTText = "Starts the buff check an prints the result into the raid chat.",
	Select_Buffs_Ten_Only = "10 Man Raid",
	Select_Buffs_Ten_Only_TTText = "Ignore groups 3-8 when checking for buffs",
	Select_Buffs_Twentyfive_Only = "25 Man Raid",
	Select_Buffs_Twentyfive_Only_TTText = "Ignore groups 6-8 when checking for buffs",
	Hint = "Hint",
	Hint_D = "Show hints in the tooltips",
	["No Buffs Needed!"] = true,
	[" missing buffs."] = true,
	Width = "Set Width",
	Width_D = "Set the width of the XRaidStatus window.",

	-- XRS_BarClass.lua
	Name = "Name",
	Name_TTText = "The name of the statusbar.",
	Type = "Type",
	Type_TTTitle = "Select Type",
	Type_TTText = "The type of the bar.",
	Classes = "Classes",
	Classes_TTTitle = "Select Classes",
	Classes_TTText = "The classes which represents this bar.",
	Groups = "Groups",
	Groups_TTTitle = "Select Groups",
	Groups_TTText = "The groups which represents this bar.",
	Group = "Group",
	Color = "Color",
	Color_TTTitle = "Select Colors",
	Color_TTText = "Select the colors of the bar and text or use the default ones.",    
	Deaths = "Include deaths",
	Deaths_TTText = "Include Death People in computing the percent value of the bar.",
	Backgroundbar = "Activate Background Bar",
	Backgroundbar_TTTitle = "Activate Background Bar",
	Backgroundbar_TTText = "Activates a Background Bar for this Statusbar.",
	Bar_Up = "Bar Up",
	Bar_Up_TTText = "Moves the Bar one place up",
	Bar_Down = "Bar Down",
	Bar_Down_TTText = "Moves the Bar one place down",
	Delete_Bar = "Delete bar",
	Delete_Bar_TTText = "Deletes the bar",
	Create_Bar_TTTitle = "Create a new bar",
	Create_Bar_TTText = "Creates a new bar with some values",
	Life = "Life",
	Mana = "Mana",
	Alive = "Alive",
	Dead = "Dead",
	Offline = "Offline",
	Range = "Range",
	Range_Text = "Range Mode",
	Range_TTTitle = "Select Range Mode",
	Range_TTText = "Select the range mode for this range type.",
	Blank = "Blank",
	Afk = "Afk",
	PvP = "PvP",
	Use_Bar_Color = "Use Bar Color",
	Bar_Color = "Bar Color",
	Use_Text_Color = "Use Text Color",
	Text_Color = "Text Color",
	Yards_0 = "10 yards",
	Yards_1 = "30 yards",
	Yards_2 = "100 yards",
	Yards_3 = "Zone",

	-- XRS_BuffClass.lua
	Buff_Text = "Select Buff",
	Buff_TTTitle = "Select Buff",
	Buff_TTText = "Select the buff for this icon.",
	Delete_Buff_Text = "Delete Buff",
	Delete_Buff_TTTitle = "Delete Buff",
	Delete_Buff_TTText = "Delete this buff from the view.",
	Predefined_Text = "Predefined Buffs", 
	Predefined_TTTitle = "Predefined Buffs",
	Predefined_TTText = "Choose one of the predefined buffs.",
	Enter_Buff = "Enter own Buff",
	Enter_Buff_TTTitle = "Enter an own buff",
	Enter_Buff_TTText = "Enter an own buff to check for",
	Group = "(Group) ",
	Invert = "Invert",
	UnitIsVisible ="Unit is visble",
	["Full buffed!"] = true,
	[" missing."] = true,

	-- XRS_TooltipClasses.lua
	Buff_Hint = "Leftclick = buff, Shift-leftclick = Report missing buffs, Ctrl-leftclick = Detach tooltip",
	Bar_Hint = "Ctrl-leftclick = Detach tooltip",
} end)
